Does Your Gear Support OSX 10.11? Our Compatibility List

Last updated 20 November, 2015

10860

El Capitan
DJ software and gear manufacturers have warned against Apple’s latest OSX 10.11 update. Here’s a status list of what’s supported and what’s not.

Apple released its latest operating system OSX 10.11 El Capitan this week, and DJ manufacturers have warned users not to perform the update because of incompatibilities with current hardware and software.

Here’s a compatibility status list of DJ software and hardware, which we’ll be updating as the patches and bug fixes roll out:

DJ Software

  1. Traktor Pro 2 – Supported (older Traktor hardware need a driver update from NI Service Center)
  2. Serato DJ – Supported, with some issues (read the statement here)
  3. Virtual DJ – Supported, but drivers for your hardware may not be (read the thread here)
  4. djay Pro – Supported, but drivers for your hardware may not be  (read the thread here)
  5. Ableton Live 9 – Supported, but drivers for your hardware may not be (read the statement here)

DJ Hardware

  1. Pioneer DJ – Not yet supported (check the hardware list)
  2. Numark – Some units supported (check the hardware list)
  3. Denon DJ – Some units supported (check the hardware list)
  4. Akai Pro – Some unites supported (check the hardware list)

As always, we highly recommend that you wait until your gear’s manufacturer gives the go signal before updating to save you from a ton of headaches (and a lost weekend trying to get your kit working!)

Have had any system update experiences that didn’t go as planned? What’s your worst software update horror story? Share your pain with us (it’ll make you feel better!) in the comments below.

Click here for your free DJ Gear and software guide